com.google.web.bindery.requestfactory.apt

## Class DomainChecker

- java.lang.Object
- - javax.lang.model.util.AbstractElementVisitor6<R,P>
  - - javax.lang.model.util.ElementScanner6<R,State>
    - - com.google.web.bindery.requestfactory.apt.ScannerBase<java.lang.Void>
      - - com.google.web.bindery.requestfactory.apt.DomainChecker

- All Implemented Interfaces:
    javax.lang.model.element.ElementVisitor<java.lang.Void,State>

      class DomainChecker
      extends ScannerBase<java.lang.Void>

  Checks client to domain mappings.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `DomainChecker.MethodFinder` Attempt to find the most specific method that conforms to a given signature.

  - ### Field Summary

    - ### Fields inherited from class javax.lang.model.util.ElementScanner6

      `DEFAULT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainChecker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Void` | `visitExecutable(javax.lang.model.element.ExecutableElement clientMethodElement, State state)`
    `java.lang.Void` | `visitType(javax.lang.model.element.TypeElement clientTypeElement, State state)`

    - ### Methods inherited from class com.google.web.bindery.requestfactory.apt.ScannerBase

      `isGetter, isSetter, poisonIfAnnotationPresent, scan, scanAllInheritedMethods, shouldIgnore, viewIn`

    - ### Methods inherited from class javax.lang.model.util.ElementScanner6

      `scan, scan, visitPackage, visitTypeParameter, visitVariable`

    - ### Methods inherited from class javax.lang.model.util.AbstractElementVisitor6

      `visit, visit, visitUnknown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainChecker

          DomainChecker()

  - ### Method Detail

    - #### visitExecutable

          public java.lang.Void visitExecutable(javax.lang.model.element.ExecutableElement clientMethodElement,
                                                State state)

      Specified by:
        `visitExecutable` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
      Overrides:
        `visitExecutable` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`

    - #### visitType

          public java.lang.Void visitType(javax.lang.model.element.TypeElement clientTypeElement,
                                          State state)

      Specified by:
        `visitType` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
      Overrides:
        `visitType` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`